restinio::impl::write_group_output_ctx_t::trivial_write_operation_t Class Reference

Trivial write operaton. More...

`#include <write_group_output_ctx.hpp>`

## Public Member Functions

| trivial_write_operation_t (const trivial_write_operation_t &)=default
trivial_write_operation_t & | operator= (const trivial_write_operation_t &)=default
| trivial_write_operation_t (trivial_write_operation_t &&)=default
trivial_write_operation_t & | operator= (trivial_write_operation_t &&)=default
const std::vector< asio_ns::const_buffer > & | get_trivial_bufs () const noexcept
| Get buffer "iovec" for performing gather write. More...
auto | size () const noexcept
| The size of data within this operation. More...

## Private Member Functions

| trivial_write_operation_t (const asio_bufs_container_t &asio_bufs, std::size_t total_size) noexcept

## Private Attributes

const asio_bufs_container_t * | m_asio_bufs
size_t | m_total_size

## Friends

class | write_group_output_ctx_t

## Detailed Description

Trivial write operaton.

Presented with a vector of ordinary buffers (data-size objects).

Definition at line 105 of file write_group_output_ctx.hpp.

## Constructor & Destructor Documentation

## trivial_write_operation_t() [1/3]

restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::trivial_write_operation_t | ( | const asio_bufs_container_t & | asio_bufs,
|  | std::size_t | total_size
| ) |  |

inlineexplicitprivatenoexcept

Parameters

  asio_bufs | Container of asio buf objects.
  total_size | Total size of data represented by buffers.

Definition at line 109 of file write_group_output_ctx.hpp.

## trivial_write_operation_t() [2/3]

restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::trivial_write_operation_t | ( | const trivial_write_operation_t & |  | ) |

default

## trivial_write_operation_t() [3/3]

restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::trivial_write_operation_t | ( | trivial_write_operation_t && |  | ) |

default

## Member Function Documentation

## get_trivial_bufs()

const std::vector< asio_ns::const_buffer > & restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::get_trivial_bufs | ( |  | ) | const

inlinenoexcept

Get buffer "iovec" for performing gather write.

Definition at line 127 of file write_group_output_ctx.hpp.

## operator=() [1/2]

trivial_write_operation_t & restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::operator= | ( | const trivial_write_operation_t & |  | ) |

default

## operator=() [2/2]

trivial_write_operation_t & restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::operator= | ( | trivial_write_operation_t && |  | ) |

default

## size()

auto restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::size | ( |  | ) | const

inlinenoexcept

The size of data within this operation.

Definition at line 133 of file write_group_output_ctx.hpp.

## Friends And Related Function Documentation

## write_group_output_ctx_t

friend class write_group_output_ctx_t

friend

Definition at line 107 of file write_group_output_ctx.hpp.

## Member Data Documentation

## m_asio_bufs

const asio_bufs_container_t* restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::m_asio_bufs

private

Definition at line 136 of file write_group_output_ctx.hpp.

## m_total_size

size_t restinio::impl::write_group_output_ctx_t::trivial_write_operation_t::m_total_size

private

Definition at line 137 of file write_group_output_ctx.hpp.

The documentation for this class was generated from the following file:

- restinio/impl/write_group_output_ctx.hpp